Bug 126891 - can't connect to the Memory stick of the pda sony clie
can't connect to the Memory stick of the pda sony clie
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-28 16:33 EDT by Eric Faure
Modified: 2015-01-04 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:31:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Faure 2004-06-28 16:33:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031016

Description of problem:

This problem happen with a PDA sony CLIE  PEG-T665C

Bad : when I use MSImport to connect the Memory stick to the PC
fedora can't see the scsi device (/dev/sda1 for example)

good : It work perfectly with any kernel 2.4.2x

output of dmesg :
usb 1-2: new full speed USB device using address 5
SCSI subsystem initialized
Initializing USB Mass Storage driver...
scsi0 : SCSI emulation for USB Mass Storage devices
USB Mass Storage device found at 5
usbcore: registered new driver usb-storage
USB Mass Storage support registered.



Version-Release number of selected component (if applicable):
kernel-2.6.6-1.435.i686

How reproducible:
Always

Steps to Reproduce:
1.launch msimport tool from pda sony clie
2.fedora detect with hotplug script the memory stick
3. should have a scsi device like /dev/sda1
    

Actual Results:  output of dmesg :
usb 1-2: new full speed USB device using address 5
SCSI subsystem initialized
Initializing USB Mass Storage driver...
scsi0 : SCSI emulation for USB Mass Storage devices
USB Mass Storage device found at 5
usbcore: registered new driver usb-storage
USB Mass Storage support registered

Expected Results:  it should see something like that :

SCSI subsystem initialized
Initializing USB Mass Storage driver...
scsi0 : SCSI emulation for USB Mass Storage devices
USB Mass Storage device found at 5
usbcore: registered new driver usb-storage
USB Mass Storage support registered
kernel:   Vendor: Sony      Model: CLIE PEG        Rev: 1.00
kernel:   Type:   Direct-Access                      ANSI SCSI
revision: 02
kernel: USB Mass Storage support registered.
sda: Write Protect is off
         sda: sda1 

Additional info:
Comment 1 Dave Jones 2005-01-14 00:25:28 EST
still a problem with the latest updates ?
Comment 2 Dave Jones 2005-04-16 00:31:47 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.